POST https://api.cryptohopper.com/v1/market/signals/{signal_id}/review

Posts your review of a signal provider. You need an active subscription to the signal and can review each signal once.

OAuth scope: read manage About scopes

rating is 0 to 5: a value above 5 is saved as 5, and a missing value or a value of 0 or below is saved as 0.1. review_name and review are checked by a profanity filter.

Example request

curl -X POST "https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/review" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"review_name":"Steady results","review":"Running it on Binance for two months without issues.","rating":4}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
signal_id string Required Signal provider ID.

Request body

JSON, model MarketReviewPost

FieldTypeRequiredDescription
review_namestringOptional
reviewstringOptional
ratingnumberOptionalBetween 0 and 5.

Response

Example response (illustrative values)

{
    "data": {
        "review_id": 5501,
        "message": "Review has been saved."
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.